// pages/construction-details/index.js
// pages/construction/index.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        buildList: [],
        floorList: [],
        initData: [],
        projectData: {},
        buildingNum:'',
        floorNum:'',
        chosen:'',
        loadShow:false,
        id:'',//当前施工日志ID
        itemData:{},
        activeState:1,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        var that = this;
        //获取请求参数
        that.setData({
            id:options.id
        })
        //获取缓存数据
        wx.getStorage({
            key: 'userinfo',
            success: function (res) {
                that.setData({
                    remark: res.data.remark,
                    loginName: res.data.loginName,
                    userName: res.data.userName,
                    projectId: app.globalData.projectId,
                    projectName: app.globalData.projectName,
                    initData: {
                        text: app.globalData.projectName,
                        id: app.globalData.projectId
                    }
                })
            }
        }),
        that.getConstructionLogDetail(options.id);
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },

    /**
     * 根据施工日志ID查询施工日志详情
     * @param {} id 
     */
    getConstructionLogDetail(id){
        var that = this
        wx.request({
            url: app.globalData.szhUrl + '/api/getConstructionLogDetail',
            method: "post",
            data: {
                "id":id
            },
            success: (res => {

                that.setData({
                    itemData:res.data
                })

                // that.setData({
                //     loadShow: false
                // })
            })
        })
    },

        /**
     * 标签切换
     */
    trainingTypeJump(e){
        this.setData({
            activeState:e.currentTarget.dataset.index,
        });
    },
    
})